# Uses of Class
org.apache.lucene.spatial3d.geom.NormalSquaredDistance

Packages that use NormalSquaredDistance
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of NormalSquaredDistance in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as NormalSquaredDistance
  Modifier and Type
  Field
  Description
  `static final NormalSquaredDistance`
  NormalSquaredDistance.`INSTANCE`
  A convenient instance
  `static final NormalSquaredDistance`
  DistanceStyle.`NORMAL_SQUARED`
  Normal distance squared calculator